﻿using System;
using Silanis.ESL.SDK;
using Silanis.ESL.SDK.Builder;
using System.Collections.Generic;
using System.Diagnostics;

namespace FeatureGuideCharp
{
    class EnforceCaptureSignature
    {
        private string API_KEY = "api_key";
        private string API_URL = "https://sandbox.esignlive.com/api";
        private string FILE_PATH = "file_path";

        public void Execute()
        {
            EslClient eslClient = new EslClient(API_KEY, API_URL);

            DocumentPackage package = PackageBuilder.NewPackageNamed("test Enforce Capture at Signature Level")
                                        .WithSigner(SignerBuilder.NewSignerWithEmail("signer1@mailinator.com")
                                            .WithCustomId("signer1")
                                            .WithFirstName("John")
                                            .WithLastName("Smith"))
                                        .WithDocument(DocumentBuilder.NewDocumentNamed("Document1")
                                            .WithId("Document1")
                                            .FromFile(FILE_PATH)
                                            .WithSignature(SignatureBuilder.CaptureFor("signer1@mailinator.com")
                                                .WithId(new SignatureId("Signature1"))
                                                .OnPage(0)
                                                .AtPosition(100, 100))
                                            .WithSignature(SignatureBuilder.CaptureFor("signer1@mailinator.com")
                                                .WithId(new SignatureId("Signature2"))
                                                .OnPage(0)
                                                .AtPosition(100, 200)
                                                .EnableEnforceCaptureSignature())
                                            .WithSignature(SignatureBuilder.CaptureFor("signer1@mailinator.com")
                                                .WithId(new SignatureId("Signature3"))
                                                .OnPage(0)
                                                .AtPosition(100, 300))
                                            )
                                        .Build();

            PackageId packageId = eslClient.CreatePackageOneStep(package);

            eslClient.SendPackage(packageId);

            Debug.WriteLine(packageId);
        }
    }
}
